Package mvpa :: Package algorithms :: Module hyperalignment :: Class Hyperalignment

[hide private]
[frames] | no frames]

# Class Hyperalignment

source code

...

Given a set of datasets (may be just data) provide mapping of features into a common space

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, alignment=None, levels=3, combiner1='mean', combiner2='mean', **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__call__(self, data) Estimate mappers for each data(set) | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| who_knows_maybe_something_to_store_optionally = `StateVariable(`...``
| alignment = `Parameter(None, doc= """... XXX If `None` (default`...``
| levels = `Parameter(3, allowedtype= 'int', min= 1, doc= "Number`...``
| combiner1 = `Parameter('mean', doc= "XXX ")`
| combiner2 = `Parameter('mean', doc= "XXX ")`
Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, alignment=None, levels=3, combiner1='mean', combiner2='mean', **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __call__(self, data)
(Call operator)

source code

Estimate mappers for each data(set)

# Parameters

> data : list or tuple of dataset of data
>   XXX

# Returns

A list of trained Mappers ... of length equal to len(data)

Class Variable Details | [hide private]

### who_knows_maybe_something_to_store_optionally

Value:

      StateVariable(enabled= False, doc= """....""")

### alignment

Value:

      Parameter(None, doc= """... XXX If `None` (default) an instance of
                  :class:`~mvpa.mappers.procrustean.ProcrusteanMapper` is
                  used.""")

### levels

Value:

      Parameter(3, allowedtype= 'int', min= 1, doc= "Number of levels ....XX
      X ")